package service

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
	cdr "git.loafle.net/commons/di-go/registry"
	_ "git.loafle.net/overflow/commons-go/core/annotation"
)

var CrawlerServiceType = reflect.TypeOf((*CrawlerService)(nil))

func init() {
	cdr.RegisterType(CrawlerServiceType)
}

type CrawlerService struct {
	cda.TypeAnnotation `annotation:"@overflow:RPCService()"`
}

func (s *CrawlerService) InitService() error {
	return nil
}

func (s *CrawlerService) StartService() error {

	return nil
}

func (s *CrawlerService) StopService() {

}

func (s *CrawlerService) DestroyService() {

}

func (s *CrawlerService) Accept() error {

	return nil
}
